org.apache.axiom.om.impl

## Interface OMXMLStreamReaderEx

- All Superinterfaces:
    OMAttachmentAccessor, OMXMLStreamReader, javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader

      public interface OMXMLStreamReaderEx
      extends OMXMLStreamReader

  Interface that is used internally by Axiom and that should not be considered being part of the public API.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableDataSourceEvents(boolean value)` If enabled, treat OMSourcedElements that have a OMDataSource as leaf nodes.
    `OMDataSource` | `getDataSource()`

    - ### Methods inherited from interface org.apache.axiom.om.OMXMLStreamReader

      `isInlineMTOM, setInlineMTOM`

    - ### Methods inherited from interface javax.xml.stream.XMLStreamReader

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

    - ### Methods inherited from interface org.apache.axiom.om.OMAttachmentAccessor

      `getDataHandler`

- - ### Method Detail

    - #### enableDataSourceEvents

          void enableDataSourceEvents(boolean value)

      If enabled, treat OMSourcedElements that have a OMDataSource as leaf nodes. The caller should use the getDataSource method to obtain the OMDataSource for these events.
      Parameters:
        `value` - boolean

    - #### getDataSource

          OMDataSource getDataSource()

      Returns:
        OMDataSource if available

Copyright © The Apache Software Foundation. All Rights Reserved.